Bug 30231 - Don't display (rejected) forms of series entry in search results
Summary: Don't display (rejected) forms of series entry in search results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Janusz Kaczmarek
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 5927
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-04 22:31 UTC by Janusz Kaczmarek
Modified: 2022-11-18 01:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 30231: (bug 5927 follow-up) See (rejected) forms of series entry visible in search result (OPAC and intra) (5.88 KB, patch)
2022-03-04 22:34 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Bug 30231: (bug 5927 follow-up) See (rejected) forms of series entry visible in search result (OPAC and intra) (5.93 KB, patch)
2022-06-25 19:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30231: (bug 5927 follow-up) See (rejected) forms of series entry visible in search result (OPAC and intra) (5.99 KB, patch)
2022-08-19 11:48 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2022-03-04 22:31:53 UTC
When using zebra with IncludeSeeFromInSearches on, with traced series, the rejected forms (4XX) of series entries are visible in result lists, both in OPAC and intra interfaces.
Comment 1 Janusz Kaczmarek 2022-03-04 22:34:39 UTC
Created attachment 131390 [details] [review]
Bug 30231: (bug 5927 follow-up) See (rejected) forms of series entry visible in search result (OPAC and intra)

When using zebra with IncludeSeeFromInSearches on, with traced series, the rejected forms (4XX) of series entries are visible in result lists, both in OPAC and intra interfaces.
    
    Test plan:
    =========
    1. Have a MARC 21 installation with zebra, and with IncludeSeeFromInSearches on.
       Have an authority records for series (130, or 100/110/111 with
       title) with rejected forms (4XX fields).  So the auth record should
       contain at least:
    
       130 _0 $a Series title
       430 _0 $a Some other title under which the series in known
    
       Use (each) authority record in at least two biblio records (in appropriate
       fields, i.e.  800/810/811/830 or even deprecated 440, if it makes use
       of UNIF_TITLE).
       Don't forget to properly input also 490 (for 8XX). So the biblio record
       shold contain at least:
    
       245 nn $a Work title.
       490 1_ $a Series title
       830 _0 $a Series entry $9 <koha_id>
    
       Reindex.
    2. Perform a simple biblio search (in OPAC and in intra) with the title
       from auth record.
    3. You shold get a list of results.  See the Series information--you
       shold see not only the accepted entry from 1XX in auth but also the
       rejected forms from 4XX.
    4. Apply the patch.
    5. Repeat 3. You shold see only the entry form of series now.
Comment 2 Katrin Fischer 2022-06-25 19:58:49 UTC
Created attachment 136556 [details] [review]
Bug 30231: (bug 5927 follow-up) See (rejected) forms of series entry visible in search result (OPAC and intra)

When using zebra with IncludeSeeFromInSearches on, with traced series, the rejected
forms (4XX) of series entries are visible in result lists, both in OPAC and intra
interfaces.

Test plan:
=========
1. Have a MARC 21 installation with zebra, and with IncludeSeeFromInSearches on.
   Have an authority records for series (130, or 100/110/111 with
   title) with rejected forms (4XX fields).  So the auth record should
   contain at least:

   130 _0 $a Series title
   430 _0 $a Some other title under which the series in known

   Use (each) authority record in at least two biblio records (in appropriate
   fields, i.e.  800/810/811/830 or even deprecated 440, if it makes use
   of UNIF_TITLE).
   Don't forget to properly input also 490 (for 8XX). So the biblio record
   shold contain at least:

   245 nn $a Work title.
   490 1_ $a Series title
   830 _0 $a Series entry $9 <koha_id>

   Reindex.
2. Perform a simple biblio search (in OPAC and in intra) with the title
   from auth record.
3. You shold get a list of results.  See the Series information--you
   shold see not only the accepted entry from 1XX in auth but also the
   rejected forms from 4XX.
4. Apply the patch.
5. Repeat 3. You shold see only the entry form of series now.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2022-06-25 20:00:05 UTC
We already have this pattern for other fields, so this makes sense.
Comment 4 Kyle M Hall 2022-08-19 11:48:51 UTC
Created attachment 139482 [details] [review]
Bug 30231: (bug 5927 follow-up) See (rejected) forms of series entry visible in search result (OPAC and intra)

When using zebra with IncludeSeeFromInSearches on, with traced series, the rejected
forms (4XX) of series entries are visible in result lists, both in OPAC and intra
interfaces.

Test plan:
=========
1. Have a MARC 21 installation with zebra, and with IncludeSeeFromInSearches on.
   Have an authority records for series (130, or 100/110/111 with
   title) with rejected forms (4XX fields).  So the auth record should
   contain at least:

   130 _0 $a Series title
   430 _0 $a Some other title under which the series in known

   Use (each) authority record in at least two biblio records (in appropriate
   fields, i.e.  800/810/811/830 or even deprecated 440, if it makes use
   of UNIF_TITLE).
   Don't forget to properly input also 490 (for 8XX). So the biblio record
   shold contain at least:

   245 nn $a Work title.
   490 1_ $a Series title
   830 _0 $a Series entry $9 <koha_id>

   Reindex.
2. Perform a simple biblio search (in OPAC and in intra) with the title
   from auth record.
3. You shold get a list of results.  See the Series information--you
   shold see not only the accepted entry from 1XX in auth but also the
   rejected forms from 4XX.
4. Apply the patch.
5. Repeat 3. You shold see only the entry form of series now.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2022-08-31 17:37:12 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-10-31 19:19:32 UTC
Backported to 22.05.x for upcoming 22.05.07 release.
Comment 7 Arthur Suzuki 2022-11-14 13:12:40 UTC
applied to 21.11.x for 21.11.14
Comment 8 Victor Grousset/tuxayo 2022-11-18 01:20:18 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.